org.apache.ignite.internal.tck

## Class TCKMBeanServerBuilder

- java.lang.Object
- - javax.management.MBeanServerBuilder
  - - org.apache.ignite.internal.tck.TCKMBeanServerBuilder

    public class TCKMBeanServerBuilder
    extends MBeanServerBuilder

This class is needed for JCache TCK tests.

### Constructor Summary

Constructors
Constructor and Description
`TCKMBeanServerBuilder()`

### Method Summary

Methods
`MBeanServer` `newMBeanServer(String dfltDomain, MBeanServer outer, MBeanServerDelegate delegate)`

### Methods inherited from class javax.management.MBeanServerBuilder

`newMBeanServerDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCKMBeanServerBuilder

    public TCKMBeanServerBuilder()

### Method Detail

#### newMBeanServer

    public MBeanServer newMBeanServer(String dfltDomain,
                             MBeanServer outer,
                             MBeanServerDelegate delegate)

Overrides:
  `newMBeanServer` in class `MBeanServerBuilder`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015